# Method: devices.get

- [HTTP request](https://developers.google.com/photos/ambient/reference/rest/v1/devices/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/photos/ambient/reference/rest/v1/devices/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/photos/ambient/reference/rest/v1/devices/get#body.request_body)
- [Response body](https://developers.google.com/photos/ambient/reference/rest/v1/devices/get#body.response_body)
- [Authorization scopes](https://developers.google.com/photos/ambient/reference/rest/v1/devices/get#body.aspect)
- [Try it!](https://developers.google.com/photos/ambient/reference/rest/v1/devices/get#try-it)

Retrieves information about the specified device.

A `NOT_FOUND` error is returned if the device does not exist or is not owned by the user.

### HTTP request

`GET https://photosambient.googleapis.com/v1/devices/{deviceId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `deviceId` | `string` Required. The unique identifier for this device. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/photos/ambient/reference/rest/v1/devices#AmbientDevice`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/photosambient.mediaitems`